# JSDoc: Class: Key

# Class: Key

## Key()

#### new Key()

Key is used by Keyboard, Pointer, etc, to represent a key state.

Source:
  - input/Key.js, line 8

### Members

#### justPressed

Indicates if this key was just pressed.

Source:
  - input/Key.js, line 18

#### justReleased

Indicates if this key was just released.

Source:
  - input/Key.js, line 23

#### pressed

Indicates if this key is currently pressed.

Source:
  - input/Key.js, line 13

### Methods

#### reset()

Reset key to default values.

Source:
  - input/Key.js, line 77

#### set()

Set this key attributes manually.

Source:
  - input/Key.js, line 67

#### update()

Update Key status based on new key state.

Source:
  - input/Key.js, line 36